// AlturaDefs.h

#pragma once

#if !defined(ALTURADEFS_H) && _WINDOWS
#define ALTURADEFS_H
#if NNA_BUILD_WITH_QUICKTIME_
////////////////////////////////////////////////////////////////////////////////


#if !defined(_INC_WINDOWS) && !defined(__AFX_H__)
	#error (This is a Windows only file - Include Windows.h first)
#endif


#include <Controls.h>



////////////////////////////////////////////////////////////////////////////////
#ifdef __cplusplus
extern "C" {
#endif
////////////////////////////////////////////////////////////////////////////////



typedef Point Cell;

  typedef unsigned short		UWORD;
  typedef short			SWORD;




typedef struct
{
    unsigned long	mac_type;		/* Mac filetype */
    unsigned char	ext[3];			/* DOS extension */
    unsigned char	description[33];	/* Windows SF Description */
} rsrc_map;





 void  ASI_SetPopupParent(HWND hWnd);


HFONT ASI_GetBindTextAttributesHFONT(ENUMLOGFONT *anELogFont );


bool  ASI_IsComboBox( void * dPtr, short dItemNo );

void  ASI_BuildComboBox( void *dPtr, short dItemNo,
				 MenuHandle hMenu, short mDefItemNo );


long ASI_SystemValue( short sv_cmd, short sv_field, long sv_value );

void SysBreak(void);


HWND ASI_EnableWindowsEx( WindowPeek wPtr, BOOLEAN Enable, 
			BOOLEAN IncludeThisWin, BOOLEAN IncludeMainWin );

void	OpenPortForHDC( CGrafPtr pCPort, HDC hDC );

void ASI_LSetSelFlags( UWORD selFlags );


HWND ASI_ControlToHWND( ControlRef ch );

inline long StackSpace(void) {	return 2048L;	}

}


////////////////////////////////////////////////////////////////////////////////
#endif // NNA_BUILD_WITH_QUICKTIME_
#endif // ALTURADEFS_H
////////////////////////////////////////////////////////////////////////////////
